> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Subdomains per-day Aggregate

> Paginates over per-day aggregated counts for subdomains created given a parentdomain



## OpenAPI

````yaml GET /v1/parentdomains/{parentDomain}/per-day
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/parentdomains/{parentDomain}/per-day:
    get:
      tags:
        - subdomain
      summary: >-
        Paginates over per-day aggregated counts for subdomains created given a
        parentdomain
      description: >-
        Paginates over per-day aggregated counts for subdomains created given a
        parentdomain
      operationId: subdomain-per-day
      parameters:
        - name: parentDomain
          in: path
          description: superlink.me
          required: true
          schema:
            type: string
        - name: pagination-token
          in: query
          description: KCJuYW1lIjoiYWJjLmRlZi5naGkiLCJkYXRlIjoiMjAyMS0xMS0xMSIp
          schema:
            type: string
        - name: page-size
          in: query
          description: '100'
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.SubDomainPerDayResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BadRequestResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    api.SubDomainPerDayResponse:
      type: object
      properties:
        aggregates:
          type: array
          items:
            $ref: '#/components/schemas/api.SubDomainPerDayCount'
        nextPaginationToken:
          type: string
          example: KCJuYW1lIjoiYWJjLmRlZi5naGkiLCJkYXRlIjoiMjAyMS0xMS0xMSIp
        total:
          type: integer
          example: 128
    api.BadRequestResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/api.ErrorResponse'
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
    api.SubDomainPerDayCount:
      type: object
      properties:
        count:
          type: integer
          example: 28
        date:
          type: string
          example: '2024-01-01'
    api.ErrorResponse:
      type: object
      properties:
        field:
          type: string
          example: field
        info:
          type: string
          example: error message
  securitySchemes:
    BearerAuth:
      type: apiKey
      description: Type "Bearer" followed by a space and the JWT token.
      name: Authorization
      in: header

````